.sidenav {
    width: var(--sidenav-width);
    background: var(--color-surface-secondary);
    border-top: 4px solid var(--color-border-brand);
    height: 100%;
    padding: 3rem 2rem 3rem 2rem;
    position: fixed;
    left: 0;
    top: 0;
    display: flex;
    flex-direction: column;
    gap: 2rem;
    transition: transform 0.25s ease;
    z-index: 1100;
}

.sidenav > .workspace {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 1.5rem;
}

.sidenav > .workspace > .icon {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 48px;
    width: 48px;
    background: var(--color-surface-quaternary);
    color: var(--color-text-primary);
    border: 1px solid var(--color-border-primary);
    border-radius: 4px;
}

.nav-section {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.nav-section > .header {
    color: var(--color-text-tertiary);
}

.nav-button {
    padding: 1rem 2rem;
    border-radius: 4px;
    text-decoration: none;
    color: var(--color-text-primary);
/* USES BUTTON-LABEL */
    font-family: var(--font-sans);
    font-size: var(--font-size-18);
    font-weight: var(--font-weight-medium);
    letter-spacing: var(--letter-spacing-medium);
    line-height: var(--line-height-medium);
}

.nav-button:hover {
    background: var(--color-surface-tertiary);
}

.nav-button.active {
    background: var(--color-surface-tertiary);
/* USES BUTTON-LABEL-BOLD */
    font-family: var(--font-sans);
    font-size: var(--font-size-18);
    font-weight: var(--font-weight-semibold);
    letter-spacing: var(--letter-spacing-medium);
    line-height: var(--line-height-medium);
}

.user {
    margin-top: auto;
}

.username {
    color: var(--color-text-primary);
}

.role {
    color: var(--color-text-tertiary);
}







